This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 251298 - bind will fail to build on ia64 and actually does on alpha
bind will fail to build on ia64 and actually does on alpha
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 04:16 EDT by Oliver Falk
Modified: 2013-04-30 19:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 12:08:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2007-08-08 04:16:24 EDT
The patch bind-9.5-dlz-64bit.patch does a very simple check to find out if lib64
should be used: exit((sizeof(void *) == 8) ? 0 : 1). Well, this will work on
x86_64 or ppc64, but not on alpha or ia64, where we do only have lib and no
lib64 - as there is no 32bit stuff...

To options:
1) Disable the patch with %ifarch alpha ia64 - easy and preferred from my point
of view
2) Do also check if there actually IS a /usr/lib64 directory - if the system is
set up correctly (I'm not 100% sure for ia64, but on alpha that's true) - there
should be no /usr/lib64.
Comment 1 Adam Tkac 2007-08-13 12:08:26 EDT
Thanks for report

Note You need to log in before you can comment on or make changes to this bug.